Microsoft Dynamics Forums Homepage

Forum Home Forum Home > Microsoft Dynamics GP (Great Plains) > GP - Installation and Administration
  New Posts New Posts RSS Feed - Got message "a prev.ver. of GP has been detect."
  FAQ FAQ  Forum Search   Register Register  Login Login


Got message "a prev.ver. of GP has been detect."

 Post Reply Post Reply
Author
Message
emir View Drop Down
MicrosoftDynamicsForums.com Member
MicrosoftDynamicsForums.com Member


Joined: August 11 2009
Location: Kuwait
Status: Offline
Points: 4
Post Options Post Options   Thanks (0) Thanks(0)   Quote emir Quote  Post ReplyReply Direct Link To This Post Topic: Got message "a prev.ver. of GP has been detect."
    Posted: October 05 2009 at 4:59am
I just install GP10 with SP3 on new laptop for one of the user in my company (OS is XP).
 
After install GP10, SP3, create the ODBC and run it, as usually, it suggest to run Dynamics Utilities for the first time. It is normal.
 
And I login to GP Utilities using 'sa' user.
But it gives me this messages:
"a previous version of Microsoft Dynamics GP has been detected. To proceed, you need to upgrade your Microsoft Dynamics GP system database."
It it confuse me, because this is new laptop and GP not installed yet on it.
 
I've tried to un-install GP10, delete the folder for 'Microsoft Dynamics' and try to install it again but it still give me the same messages.
 
Any idea what went wrong? Or  is there any steps that I missed?
 
Regards,
Erik
Back to Top
Sponsored Links


Back to Top
Vaidhyanathan M View Drop Down
MicrosoftDynamicsForums.com Member
MicrosoftDynamicsForums.com Member


Joined: December 28 2006
Location: India
Status: Offline
Points: 63
Post Options Post Options   Thanks (0) Thanks(0)   Quote Vaidhyanathan M Quote  Post ReplyReply Direct Link To This Post Posted: October 05 2009 at 5:49am
Eric,
 
You have installed GP 10.0 SP3 on a laptop, but the application is actually accessing a GP Data Server thru' ODBC, that is not GP 10.0 SP3.
 
Check the following:
1. Is your GP Server (to which you are creating the ODBC) is of version GP 10.0 SP3?
2. If not, you have to run GP Utilities from your laptop to update the Data Server also.
3. If you do not wish to update the Server to GP 10.0 SP3, then just uninstall GP from laptop and install it back with only allowed SP (which the Server has got now).
 
Hope that helps.
 
--
Thanks
Vaidy
Visit My Blog: www.vaidy-dyngp.com
Back to Top
emir View Drop Down
MicrosoftDynamicsForums.com Member
MicrosoftDynamicsForums.com Member


Joined: August 11 2009
Location: Kuwait
Status: Offline
Points: 4
Post Options Post Options   Thanks (0) Thanks(0)   Quote emir Quote  Post ReplyReply Direct Link To This Post Posted: October 05 2009 at 6:19am
Vaidy,
 
Thanks for your quick respond.
 
1 & 2. Yes, my GP10 server also using SP3
3. I have un-install GP10 on this laptop, delete the Microsoft Dynamics folder  and re-install it again.
But it still gives me the same message. (i did it for 3 times, just for sure :( ).
 
Usually, that's what I did to install GP10 on user pc.
(Run Setup, install SP3, owc11 as needed, setup ODBC point to the GP server).
Then run GP10 (it run Dynamics Utilities for the first time), sync with the server automatically, and login to GP as 'sa', setup User preferences, etc. Done.
 
Any idea?
 

Erik
Back to Top
emir View Drop Down
MicrosoftDynamicsForums.com Member
MicrosoftDynamicsForums.com Member


Joined: August 11 2009
Location: Kuwait
Status: Offline
Points: 4
Post Options Post Options   Thanks (0) Thanks(0)   Quote emir Quote  Post ReplyReply Direct Link To This Post Posted: October 06 2009 at 3:11am
It fixed now.
 
I just make a copy all files under GP folder from GP Server to this computer.
And it's done.. working perfectly after change the Dynamics.SET file.
 
But still it doesn't make sense for me, why I should copy the GP folder from the Server to client laptop.
 
Is there anybody can explain why?
 
Thanks in advance.
Erik
Back to Top
Vaidhyanathan M View Drop Down
MicrosoftDynamicsForums.com Member
MicrosoftDynamicsForums.com Member


Joined: December 28 2006
Location: India
Status: Offline
Points: 63
Post Options Post Options   Thanks (0) Thanks(0)   Quote Vaidhyanathan M Quote  Post ReplyReply Direct Link To This Post Posted: October 06 2009 at 3:47am
The only possible reason that I can think of is this:
 
You have installed something extra on your laptop which do not exist in Server. It can be anything, like an additional module's version did not match with your current installation. I am still pretty sure that in your case, you had installed SP3 with something more than what Server has.
 
Just to know more about that error: Try to proceed with that GP Utilities message and check what happens after the message. You can do this on a test server replicated from live.
 
--
Thanks
Vaidy
Visit My Blog: www.vaidy-dyngp.com
Back to Top
emir View Drop Down
MicrosoftDynamicsForums.com Member
MicrosoftDynamicsForums.com Member


Joined: August 11 2009
Location: Kuwait
Status: Offline
Points: 4
Post Options Post Options   Thanks (0) Thanks(0)   Quote emir Quote  Post ReplyReply Direct Link To This Post Posted: October 06 2009 at 3:59am
Vaidhy,
 
Thanks for your respond.
 
As I mentioned earlier that this is new laptop and there's no GP installed yet.
I just run the GP setup, run SP3 setup, install Crystal report, setup ODBC and run GP directly which is guide me to Dynamics Utilities. And then I got this messages.
 
Today I have install on other laptop from same department with the previous one.
Same steps to install GP10 has done. But I still got the same message.
So, I did the same thing with the previous one by copying GP folder from Server to this laptop. And it fixed.
 
For your information that the Production server (Win2008 with SQL2008) still using SP3.
And, unfortunately, we dont have a Test server as your suggestion.
In order for testing we use our own pc/laptop (for VB, Dex, Report, etc.).
 
 
Erik
Back to Top
cmast View Drop Down
MicrosoftDynamicsForums.com Member
MicrosoftDynamicsForums.com Member


Joined: January 07 2010
Status: Offline
Points: 3
Post Options Post Options   Thanks (0) Thanks(0)   Quote cmast Quote  Post ReplyReply Direct Link To This Post Posted: March 12 2010 at 6:37am
I'm having a similar issue.  Installed GP on new laptop but get a message "a previous version of Microsoft Dynamics GP has been detected. To proceed, you need to upgrade your Microsoft Dynamics GP system database."
 
However, I engaged a different solution than yours.  First, I confirmed all version numbers in the DU000020 table and took backups.  Then, I allowed it to run the upgrade process on the new laptop.  This allowed the laptop to login, but caused the other workstations to fail.  So I ran the upgrade process again on one of the previous workstations.  Now, all workstations (old and new) are working fine. 
 
Still don't understand why this happens.  But, I'm back to working properly and thought I'd share.  Hope this is helpful.
 
Thanks.
 
 
 
Back to Top
 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down


Copyright 2013 microsoftdynamicsforums.com. All rights reserved. MicrosoftDynamicsForums.com is an independent non-Microsoft website.
Email: contact AT microsoftdynamicsforums DOT com